--
-- Create new mailsql database
--
CREATE DATABASE IF NOT EXISTS mailsql;

--
-- Create new user that will be used to access database
-- You should change password 'secret' to something more secure
-- If you are using MySQL running on some different machine
-- than replace 'localhost' with appropriate domain name or '%'
--
GRANT SELECT,INSERT,UPDATE,DELETE,CREATE,DROP
  ON mailsql.* TO 'mailsql'@'localhost'
  IDENTIFIED BY 'secret';

--
-- Apply new (user) privileges (do I need this?)
--
FLUSH PRIVILEGES;

--
-- Create mailsql databases
--
USE mailsql;

CREATE TABLE IF NOT EXISTS `log_mail` (
  `id`		INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `time_iso`	timestamp    NOT NULL,
  `queue_id`	VARCHAR(12)  NOT NULL,
  `host`	VARCHAR(50) NOT NULL,
  `client`	VARCHAR(40) DEFAULT '',
  `helo`	VARCHAR(50) DEFAULT '',
  `sender`	VARCHAR(100) DEFAULT '',
  `proto`	VARCHAR(12)  DEFAULT '',
  `size`	INT UNSIGNED DEFAULT 0,
  `nrcpt`	INT UNSIGNED DEFAULT 0,
  PRIMARY KEY (`id`),
  INDEX (`queue_id`),
  INDEX (`client`),
  INDEX (`sender`),
  INDEX (`time_iso`, `queue_id`,`client`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 MAX_ROWS=1000000000;

CREATE TABLE IF NOT EXISTS `log_recip` (
  `id`		INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `mail_id`	INT UNSIGNED NOT NULL,
  `email`	VARCHAR(100) NOT NULL,
  `email_orig`	VARCHAR(100) DEFAULT '',
  `relay`	VARCHAR(100) DEFAULT '',
  `code`	INT UNSIGNED,
  `status`	VARCHAR(20) DEFAULT '',
  `info`	VARCHAR(255) DEFAULT '',
  FOREIGN KEY (`mail_id`)     REFERENCES `log_mail`(`id`) ON DELETE CASCADE,
  INDEX (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 MAX_ROWS=1000000000;
